Fix FTBFS of hurd-i386 by defining the missing PATH_MAX macro.
--- a/Makefile
+++ b/Makefile
@@ -76,7 +76,10 @@ mac: goals
 netbsd:  unix
 openbsd: unix
 freebsd: unix
+
+gnu: CC += -DPATH_MAX=4096
 gnu: unix
+
 gnu/kfreebsd: unix
 unix: goals
 
